SystemOrganization addCategory: #ConfigurationOfIliad!

Object subclass: #ConfigurationOfIliad
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfIliad'!

!ConfigurationOfIliad commentStamp: 'GermanArduino 1/26/2010 12:03' prior: 0!
Use:

ConfigurationOfIliad load --> To load Sport, Swazoo, Magritte-Model and Iliad on the image.

ConfigurationOfIliad loadAndStart --> To load Sport, Swazoo, Magritte-Model and Iliad on the image and start the webserver and the console.

To install versin 0.8 you need also download and decompress on the image folder, the directory named "Public" from http://iliadproject.org/attachments/10/Iliad-Dev-0.8-Public.zip.


To check the configuration:

(ConfigurationOfIliad project version: '0.8') spec.
(ConfigurationOfIliad project version: '0.8-baseline') spec.
!

!ConfigurationOfIliad class methodsFor: 'private' stamp: 'GermanArduino 1/20/2010 17:43'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfIliad class methodsFor: 'private' stamp: 'GermanArduino 1/20/2010 17:43'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfIliad class methodsFor: 'metacello tool support' stamp: 'GermanArduino 1/20/2010 17:43'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfIliad class methodsFor: 'metacello tool support' stamp: 'GermanArduino 1/20/2010 17:43'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfIliad class methodsFor: 'loading' stamp: 'gsa 1/24/2010 10:26'!
load
	"self load"

	self project latestVersion load! !

!ConfigurationOfIliad class methodsFor: 'loading' stamp: 'GermanArduino 1/26/2010 11:53'!
loadAndStart
	"self load"

	self project latestVersion load.
	
	"Start SwazooIliad on port 9000 and open console"
	Smalltalk at: #SwazooIliad ifPresent: [:srv | srv startOn: 9000].
	Smalltalk at: #IliadConsole ifPresent: [:cl |  cl fullView ].! !

!ConfigurationOfIliad class methodsFor: 'metacello tool support' stamp: 'GermanArduino 1/20/2010 17:43'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfIliad class methodsFor: 'accessing' stamp: 'GermanArduino 1/20/2010 17:43'!
project

	^self new project! !

!ConfigurationOfIliad methodsFor: 'baselines' stamp: 'dkh 04/20/2011 18:06'!
baseline08: spec
	<version: '0.8-baseline'>

spec for: #squeakCommon do: [
        spec blessing: #baseline.
        spec repository: 'http://www.squeaksource.com/Iliad'.
   
        spec
            project: 'Swazoo2' with: [
                spec
                    className: 'ConfigurationOfSwazoo2';
                    loads: #('default');
                    file: 'ConfigurationOfSwazoo2';
                    repository: 'http://www.squeaksource.com/MetacelloRepository' ].       
	   spec 
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0-alpha7-baseline';
					loads: #('Core' );
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Grease Tests'
				copyFrom: 'Grease'
				with: [ 
					spec 
						versionString: '1.0-alpha5-baseline';
						loads: #('Tests' ) ].
       spec
            project: 'MagritteModel' with: [
                spec
                    className: 'ConfigurationOfMagritte';
                    loads: #('Magritte-Model');
                    file: 'ConfigurationOfMagritte';
                    repository: 'http://www.squeaksource.com/MetacelloRepository' ]].		
! !

!ConfigurationOfIliad methodsFor: 'baselines' stamp: 'dkh 4/20/2011 17:45'!
baseline0912: spec
	<version: '0.9.1.2-baseline'>

	spec for: #common do: [
        spec blessing: #baseline.
        spec 
		repository: 'http://www.squeaksource.com/IliadDev';
		repository: 'http://www.squeaksource.com/Iliad'.
   
        spec
            project: 'Swazoo2' with: [
                spec
                    className: 'ConfigurationOfSwazoo2';
                    loads: #('default');
                    repository: 'http://www.squeaksource.com/MetacelloRepository' ].       
	   spec 
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: #stable;
					loads: #('Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Grease Tests'
				copyFrom: 'Grease'
				with: [ 
					spec loads: #('Tests' ) ];
			yourself.
	  spec 
			package: 'Iliad-Core' with: [
				spec requires: 'Grease' ];
			package: 'Iliad-Swazoo' with: [
				spec requires: #( 'Iliad-Core' 'Swazoo2') ];
			package: 'Iliad-More-UI' with: [
				spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-Formula' with: [
				spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-Examples' with: [
				spec requires: #( 'Iliad-Core' )];
			package: 'Iliad-More-RSS' with: [
				spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-HTML5Elements' with: [
				spec requires: 'Iliad-Core' ];
			package: 'Iliad-Tests' with: [
				spec requires: #('Iliad-Core' 'Iliad-More-RSS')];
			yourself ].

	spec for: #squeakCommon do: [
		spec 
			package: 'Iliad-More-Comet' with: [
				spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-CometExample' with: [
				spec requires: #( 'Iliad-Core' 'Iliad-More-Comet')];
			package: 'Iliad-Core' with: [
				spec includes: 'Iliad-Pharo-Core' ];
			package: 'Iliad-Pharo-Core' with: [
				spec requires: 'Iliad-Core' ];
			yourself.
	].

	spec for: #gemstone do: [
		spec 
			package: 'Iliad-Core' with: [
				spec includes: 'Iliad-GemStone-Core' ];
			package: 'Iliad-GemStone-Core' with: [
				spec requires: 'Iliad-Core' ];
			yourself.
	]! !

!ConfigurationOfIliad methodsFor: 'baselines' stamp: 'dkh 04/20/2011 18:06'!
baseline09: spec
	<version: '0.9-baseline'>

spec for: #squeakCommon do: [
        spec blessing: #baseline.
        spec repository: 'http://www.squeaksource.com/Iliad'.
   
        spec
            project: 'Swazoo2' with: [
                spec
                    className: 'ConfigurationOfSwazoo2';
                    loads: #('default');
                    file: 'ConfigurationOfSwazoo2';
                    repository: 'http://www.squeaksource.com/MetacelloRepository' ].       
	   spec 
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0-alpha8-baseline';
					loads: #('Core' );
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Grease Tests'
				copyFrom: 'Grease'
				with: [ 
					spec 
						versionString: '1.0-alpha5-baseline';
						loads: #('Tests' ) ]]! !

!ConfigurationOfIliad methodsFor: 'symbolic versions' stamp: 'dkh 4/20/2011 17:30'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.9.1.2'.
! !

!ConfigurationOfIliad methodsFor: 'doits' stamp: 'GermanArduino 1/26/2010 11:55'!
postLoad
	"Not used now, instead check class method #loadAndStart"
	"Start SwazooIliad on port 9000 and open console"
	Smalltalk at: #SwazooIliad ifPresent: [:srv | srv startOn: 9000].
	Smalltalk at: #IliadConsole ifPresent: [:cl |  cl fullView ].! !

!ConfigurationOfIliad methodsFor: 'accessing' stamp: 'gsa 1/24/2010 10:17'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear]! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'np 5/13/2010 12:12'!
version081: spec 
	<version: '0.8.1' imports: #('0.8-baseline')>

    	spec for: #common do: [
     	   spec blessing: #release.
      	 spec author: 'GermanArduino'.
       	 spec description: ' Iliad 0.8.1 Release '.
	    ].

	spec for: #squeakCommon do: [

        spec
			project: 'Swazoo2' with: '2.2.0.1';
			project: 'Grease' with: '1.0-alpha8';
			project: 'MagritteModel' with: '1.2.1.1'.

		spec 
			package: 'Iliad-Core' with: 'Iliad-Core0.8.1-np.2';
			package: 'Iliad-Swazoo' with: 'Iliad-Swazoo0.8.1-np.1';
			package: 'Iliad-More-UI' with: 'Iliad-More-UI0.8.1-np.1';
			package: 'Iliad-More-Formula' with: 'Iliad-More-Formula0.8.1-np.1';
			package: 'Iliad-More-Comet' with: 'Iliad-More-Comet0.8.1-np.2';
			package: 'Iliad-More-Magritte' with: 'Iliad-More-Magritte0.8.1-np.1';
			package: 'Iliad-More-Examples' with: 'Iliad-More-Examples0.8.1-np.2';
			package: 'Iliad-More-RSS' with: 'Iliad-More-RSS0.8.1-np.1';
			package: 'Iliad-Tests' with: 'Iliad-Tests0.8.1-np.1'].

    ! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'dkh 4/20/2011 17:04'!
version08: spec 
	<excludedValidationIssues: #('0.8' #(noVersionSpecified))>
	<version: '0.8' imports: #('0.8-baseline')>

    	spec for: #common do: [
     	   spec blessing: #release.
      	 spec author: 'GermanArduino'.
       	 spec description: ' Iliad 0.8 Release '.
	    ].

	spec for: #squeakCommon do: [

        spec
			project: 'Swazoo2' with: '2.2.0.1';
			project: 'Grease' with: '1.0-alpha8';
			project: 'MagritteModel' with: '1.2.1.1'.

		spec 
			package: 'Iliad-Core0.8';
			package: 'Iliad-Swazoo0.8';
			package: 'Iliad-More-UI0.8';
			package: 'Iliad-More-Formula0.8';
			package: 'Iliad-More-Comet0.8';
			package: 'Iliad-More-Magritte0.8';
			package: 'Iliad-More-Examples0.8';
			package: 'Iliad-More-RSS0.8';
			package: 'Iliad-Tests0.8'";
			package: 'Iliad-Console'". "; postLoadDoIt: #postLoad"].

    ! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'DaleHenrichs 04/19/2011 14:15'!
version0911: spec 
	<version: '0.9.1.1' imports: #('0.9-baseline')>

    	spec for: #common do: [
     	   spec blessing: #release.
      	 spec author: 'SbastienAudier'.
       	 spec description: ' Iliad 0.9.1.1 Release '.
	    ].

	spec for: #squeakCommon do: [

        spec
			project: 'Swazoo2' with: '2.2.0.1';
			project: 'Grease' with: '1.0-alpha8'.

		spec 
			package: 'Iliad-Core' with: 'Iliad-Core0.9.1.1-SebastienAudier.9';
			package: 'Iliad-Swazoo' with: 'Iliad-Swazoo0.9.1.1-SebastienAudier.3';
			package: 'Iliad-More-UI' with: 'Iliad-More-UI0.9.1.1-SebastienAudier.4';
			package: 'Iliad-More-Formula' with: 'Iliad-More-Formula.0.9.1.1-SebastienAudier.4';
			package: 'Iliad-More-Comet' with: 'Iliad-More-Comet0.9.1.1-SebastienAudier.2';
			package: 'Iliad-More-Examples' with: 'Iliad-More-Examples0.9.1.1-SebastienAudier.7';
			package: 'Iliad-More-RSS' with: 'Iliad-More-RSS0.9.1.1-SebastienAudier.3';
			package: 'Iliad-More-HTML5Elements' with: 'Iliad-More-HTML5Elements.0.9.1.1-SebastienAudier.3';
			package: 'Iliad-Tests' with: 'Iliad-Tests0.9.1.1-SebastienAudier.3'].

    ! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'dkh 4/22/2011 17:09'!
version0912: spec
	<version: '0.9.1.2' imports: #('0.9.1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'port 0.9.1.1 to GemStone
- merge 0.9.1.2 packages from IliadDev
0.9.1.2 (dkh.17):
- remove a number of undefind symbols
- move ILProfiler to Iliad-Pharo-Core package
0.9.1.2 (dkh.18):
- one more unresolved symbol removed
0.9.1.2 (dkh.19):
- 412 run, 412 passes, 0 expected failures, 0 failures, 0 errors, 0 unexpected passes
0.9.1.2 (dkh.22):
- move ILErrorHandler>>produceDebugResponse to Iliad-Pharo-Core ... GemStone has a different mechanism for producing the debugger'.
		spec author: 'dkh'.
		spec timestamp: '4/22/2011 17:09'.
		spec 
			project: 'Swazoo2' with: #'stable';
			project: 'Grease' with: '1.0.4';
			project: 'Grease Tests' with: '1.0.4'.
		spec 
			package: 'Iliad-Core' with: 'Iliad-Core0.9.1.2-dkh.19';
			package: 'Iliad-Swazoo' with: 'Iliad-Swazoo0.9.1.2-SebastienAudier.4';
			package: 'Iliad-More-UI' with: 'Iliad-More-UI0.9.1.2-dkh.5';
			package: 'Iliad-More-Formula' with: 'Iliad-More-Formula.0.9.1.2-SebastienAudier.6';
			package: 'Iliad-More-Examples' with: 'Iliad-More-Examples0.9.1.2-dkh.11';
			package: 'Iliad-More-RSS' with: 'Iliad-More-RSS0.9.1.2-SebastienAudier.4';
			package: 'Iliad-More-HTML5Elements' with: 'Iliad-More-HTML5Elements.0.9.1.2-SebastienAudier.4';
			package: 'Iliad-Tests' with: 'Iliad-Tests0.9.1.2-SebastienAudier.4'. ].

	spec for: #'squeakCommon' do: [
		spec 
			package: 'Iliad-More-Comet' with: 'Iliad-More-Comet0.9.1.2-SebastienAudier.4';
			package: 'Iliad-More-CometExample' with: 'Iliad-More-CometExample0.9.1.2-dkh.1';
			package: 'Iliad-Pharo-Core' with: 'Iliad-Pharo-Core0.9.1.2-dkh.3'. ].

	spec for: #'gemstone' do: [
		spec package: 'Iliad-GemStone-Core' with: 'Iliad-GemStone-Core-dkh.1'. ].
! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'SA 10/13/2010 15:52'!
version091: spec 
	<version: '0.9.1' imports: #('0.9-baseline')>

    	spec for: #common do: [
     	   spec blessing: #release.
      	 spec author: 'SbastienAudier'.
       	 spec description: ' Iliad 0.9.1 Release '.
	    ].

	spec for: #squeakCommon do: [

        spec
			project: 'Swazoo2' with: '2.2.0.1';
			project: 'Grease' with: '1.0-alpha8'.

		spec 
			package: 'Iliad-Core' with: 'Iliad-Core0.9.1-SA.1';
			package: 'Iliad-Swazoo' with: 'Iliad-Swazoo0.9.1-SA.1';
			package: 'Iliad-More-UI' with: 'Iliad-More-UI0.9.1-SA.1';
			package: 'Iliad-More-Formula' with: 'Iliad-More-Formula.0.9.1-SA.1';
			package: 'Iliad-More-Comet' with: 'Iliad-More-Comet0.9.1-SA.1';
			package: 'Iliad-More-Examples' with: 'Iliad-More-Examples0.9.1-SA.1';
			package: 'Iliad-More-RSS' with: 'Iliad-More-RSS0.9.1-SA.1';
			package: 'Iliad-More-HTML5Elements' with: 'Iliad-More-HTML5Elements.0.9.1-SA.1';
			package: 'Iliad-Tests' with: 'Iliad-Tests0.9.1-SA.1'].

    ! !
